<?php
/***********************************************************************
| Avactis (TM) Shopping Cart software developed by Pentasoft Corp.
| http://www.avactis.com
 ***********************************************************************/
?>
<?php 
// This file should be located in the root of your Avactis storefront
include('init.php'); 
?>

<?php 
error_reporting (E_ALL ^ E_NOTICE);
$widget_obj_params = &new PRODUCT_LIST_PARAMS();
$widget_obj_params->category_id = 40; // enter the category ID you need
$widget_obj_params->select_mode_recursiveness = IN_CATEGORY_ONLY; // you can enter IN_CATEGORY_ONLY or IN_CATEGORY_RECURSIVELY
$widget_obj_params->sort_by = SORT_BY_PRODUCT_ID; // sort value
$widget_cat_array = modApiFunc('Catalog', 'getProductListByFilter', $widget_obj_params);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
  <head>
	<title>Avactis Store Widget</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <meta http-equiv="Content-Language" content="en" />
    <meta name="language" content="en" />
	<link href="avactis-themes/system/css/styles.css" type="text/css" rel="stylesheet">
    <script src="./widget/prototype.js" type="text/javascript"></script>
    <script src="./widget/effects.js" type="text/javascript"></script>
    <script src="./widget/carousel.packed.js" type="text/javascript"></script>
    <link href="./widget/prototype-ui.css" rel="stylesheet" type="text/css" />
	  <style type="text/css">
      form p {
        display: inline;
      }
      form fieldset {
        border: none;
        padding: 0;
      }
    </style>
  </head>
  <body style="background-color:white">
    <div id="vertical_carousel">
      <div class="previous_button"></div>  
      <div class="container">
    	<ul>

		<?php
		foreach ($widget_cat_array as $widget_cat_product) {
			$widget_product_id = $widget_cat_product[product_id];
			$widget_product_info = modApiFunc('Catalog', 'getProductInfoRaw', $widget_product_id);
			
			//  You can use any product attribute from the $widget_product_info array, 
			//  examples:
			//	$widget_product_info[SmallImage]
			//	$widget_product_info[Name]
			//	$widget_product_info[ShortDescription]
			//	$widget_product_info[ImageAltText]
			//  $widget_product_info[SalePrice]
			
			echo ("<li>");
			ProductSmallImage($widget_product_info[ID]); 
			echo("<br /><br />");
			ProductRating($widget_product_info[ID]); 
			echo("<br />"); 
			echo ('<a href="'.getProductInfoLink($widget_product_info[ID]).'" target="_blank">'.getProductName($widget_product_info[ID]).'</a>');
			echo("<br />");
			echo ('<a href="'.getProductInfoLink($widget_product_info[ID]).'" target="_blank"><br />');
			echo ('<img alt="Add to cart" border="0" src="./avactis-themes/system/images/buttons/button-add-to-cart-yellow.png" /></a><br /></li>');
		}
		?>
		
    	</ul>
    	</div>
      <div class="next_button"></div>
    </div>
	<script type="text/javascript">
    // <![CDATA[
      function ShowProducts() {
        //hCarousel = new UI.Carousel("horizontal_carousel");
        vCarousel = new UI.Carousel("vertical_carousel", {direction: "vertical"});
      }
      Event.observe(window, "load", ShowProducts);
    // ]]>
    </script>
	</body>
</html>